View Issue Details

IDProjectCategoryView StatusLast Update
0015274MediaMonkey 5Install/Configpublic2019-03-06 01:52
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015274: UI inconsistency due to MM4 license being imported even when user chooses not to import settings
DescriptionIf the user has an MM4 Gold license installed and then installs MM5 but chooses not to import MM4 Settings and Data, the license info is nonetheless imported!

This isn't that bad so much as surprising to the user and confusing given the workflow. i.e.
0 Install MM4 Gold
1 Install build 2143 and run
2 reject import settings/db from MM4
3 wizard starts and after a couple of steps
--> prompts the user to enter Gold license information!!
--> AND, the fields for the Gold license information are EMTPY!
4 User proceeds through the wizard without entering any information
5 Click Help > About
--> MediaMonkey has a Gold License!!

There are two possible ways of fixing this:
1) Don't import Gold license information if the user chooses not to import MM4 settings/DB (preferred)
2) If we import the Gold license information despite the user's choice, then show it in the Wizard
Both solutions are fine, though the first makes more sense.
TagsNo tags attached.
Fixed in build2165

Activities

rusty

2018-12-21 01:11

administrator   ~0051854

Note also, that (at least in build 2138), if the user entered license information in the wizard, it's ignored if MM is already registered. This should not happen. i.e. if we take approach 2) to resolving this issue, then if the user changes the license information, it should be updated.

petr

2019-03-05 10:21

developer   ~0052868

Fixed (using way 1).

peke

2019-03-06 01:52

developer   ~0052880

Verified 2165

MM5 stays unregistered if user select NO on import.